New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Not working with docpad 6.80.3 #13

Open
johnwu opened this Issue Jul 17, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@johnwu
Copy link

johnwu commented Jul 17, 2018

Was working with docpad 6.79.4, but after updating to 6.80.3 seeing the following error:

TypeError: Class constructor BasePlugin cannot be invoked without 'new'
    at new DateUrls (/Volumes/Data/Users/user/Documents/projects/website/node_modules/docpad-plugin-dateurls/out/dateurls.plugin.js:17:45)
    at PluginLoader.create (/Volumes/Data/Users/user/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/plugin-loader.js:260:26)
    at /Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/docpad.js:3600:29
    at PluginLoader.load (/Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/plugin-loader.js:240:7)
    at /Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/docpad.js:3595:27
    at PluginLoader.unsupported (/Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/plugin-loader.js:146:7)
    at /Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/docpad.js:3573:25
    at success (/Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/plugin-loader.js:71:16)
    at safefs.readFile (/Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/esnext/lib/plugin-loader.js:110:18)
    at /Volumes/Data/Users/username/.nvm/versions/node/v8.11.3/lib/node_modules/docpad/node_modules/graceful-fs/graceful-fs.js:78:16
    at FSReqWrap.readFileAfterClose [as oncomplete] (fs.js:511:3)
@markgrovs

This comment has been minimized.

Copy link
Collaborator

markgrovs commented Jul 22, 2018

hi @johnwu sorry, I no longer use DocPad, feel free to fork and update.

@johnwu

This comment has been minimized.

Copy link

johnwu commented Aug 12, 2018

How about transferring it Docpad to maintain?
https://docpad.org/docs/plugin-write#maintenance

@markgrovs

This comment has been minimized.

Copy link
Collaborator

markgrovs commented Aug 25, 2018

@BevryMe would you like me to transfer this plugin?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment